curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/events/{externalEventId} \
--header 'Authorization: Bearer <token>'{
"attendees": 123,
"cancellations": 123,
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"externalEventId": "<string>",
"id": "<string>",
"noShows": 123,
"registrants": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"objectId": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}指定されたexternalAccountId、externalEventIdを持つマーケティングイベントが存在する場合、その詳細を返します。
リクエストを行ったのと同じアプリによって作成されたマーケティングイベントのみを取得できます。
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/events/{externalEventId} \
--header 'Authorization: Bearer <token>'{
"attendees": 123,
"cancellations": 123,
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"externalEventId": "<string>",
"id": "<string>",
"noShows": 123,
"registrants": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"objectId": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
外部イベントアプリケーションのマーケティングイベントのID
外部イベントアプリケーションでこのマーケティングイベントに関連付けられているaccountId
successful operation
このマーケティングイベントに参加したHubSpotコンタクトの数。
このマーケティングイベントに登録したが、後で登録をキャンセルしたHubSpotコンタクトの数。
マーケティングイベントの作成日時。
PropertyValuesのリスト。任意のプロパティーの名前と値を指定できます。ただし、HubSpotアカウントのMarketingEventオブジェクトの定義に存在している必要があります。存在していない場合、除外されて、設定されません。 存在させるには、特定のアプリについてHubSpotアカウントのMarketingEventオブジェクトでPropertyGroupを新規作成し、そのHubSpotアカウントで追跡するカスタムプロパティーを作成する必要があります。MarketingEventでデフォルトのプロパティーを新規作成すると全てのHubSpotアカウントに適用されることになるため、作成しないでください。
表示 子属性
マーケティングイベントの名前。
マーケティングイベントの主催者の名前。
外部イベントアプリケーションのマーケティングイベントのID。
マーケティングイベントCRMオブジェクトのID。
このマーケティングイベントに登録したが、参加しなかったHubSpotコンタクトの数。このフィールドに値が含まれるのはイベントの終了後のみです。
このマーケティングイベントに登録したHubSpotコンタクトの数。
マーケティングイベントの更新日時。
マーケティングイベントの終了日時。
マーケティングイベントがキャンセルされたかどうかを示します。
マーケティングイベントが完了したかどうかを示します。
マーケティングイベントの説明。
マーケティングイベントのタイプ。
マーケティングイベントを管理できる外部イベントアプリケーションのURL。
マーケティングイベントCRMオブジェクトのID。
マーケティングイベントの開始日時。